package com.srs.routine.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.routine.domain.RtFuAudit;

/**
 * 功能房预约审核Service接口
 *
 * @author srs
 * @date 2024-07-24
 */
public interface IRtFuAuditService extends IService<RtFuAudit> {
    /**
     * 查询功能房预约审核
     *
     * @param id 功能房预约审核主键
     * @return 功能房预约审核
     */
    public RtFuAudit selectRtFuAuditById(Long id);

    /**
     * 查询功能房预约审核列表
     *
     * @param rtFuAudit 功能房预约审核
     * @return 功能房预约审核集合
     */
    List<RtFuAudit> selectRtFuAuditList(RtFuAudit rtFuAudit);

    /**
     * 新增功能房预约审核
     *
     * @param rtFuAudit 功能房预约审核
     * @return 结果
     */
    int insertRtFuAudit(RtFuAudit rtFuAudit);

    /**
     * 修改功能房预约审核
     *
     * @param rtFuAudit 功能房预约审核
     * @return 结果
     */
    int updateRtFuAudit(RtFuAudit rtFuAudit);

    /**
     * 批量删除功能房预约审核
     *
     * @param ids 需要删除的功能房预约审核主键集合
     * @return 结果
     */
    int deleteRtFuAuditByIds(Long[] ids);

    /**
     * 删除功能房预约审核信息
     *
     * @param id 功能房预约审核主键
     * @return 结果
     */
    int deleteRtFuAuditByaure(String reNo);
}
